var express = require('express');
var jade = require('jade');
var app = express();

app.set('view engine', 'jade');
app.set('rundir', '.');
app.set('views', app.get('rundir') + '/views');

app.use('/bin', express.static(app.get('rundir') + '/public'));

app.get('/', function(req, res) {
	res.render('index', {
		title: 'Restaurant Reiskorn | Home',
		message: 'Hello there!'
	});
});
app.get('/speisekarte', function(req, res) {
	res.render('index', {
		title: 'Restaurant Reiskorn | Home',
		message: 'Hello there!'
	});
});

var server = app.listen(3000, function() {
	var host = server.address().address;
	var port = server.address().port;

	console.log('Example app listening at http://%s:%s', host, port);
});